using System;
using System.Collections.Generic;
using System.Text;

using Jenyay.Gui.Wizard;

namespace WizardTest.MyWizard
{
	public class Page3C : WizardPageProxy
	{
		public Page3C (WizardManager<WizParams> wizard, 
			WizardPageProxy prevPage)
			: base (wizard, prevPage)
		{
			InitializeComponent ();
		}

		private System.Windows.Forms.TextBox cText;
		private System.Windows.Forms.ErrorProvider errorProvider;
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;

		private void InitializeComponent ()
		{
			this.components = new System.ComponentModel.Container ();
			this.label1 = new System.Windows.Forms.Label ();
			this.cText = new System.Windows.Forms.TextBox ();
			this.errorProvider = new System.Windows.Forms.ErrorProvider (this.components);
			this.label2 = new System.Windows.Forms.Label ();
			((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit ();
			this.SuspendLayout ();
			// 
			// next
			// 
			this.next.Click += new System.EventHandler (this.next_Click);
			// 
			// cancel
			// 
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point (12, 80);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size (16, 13);
			this.label1.TabIndex = 1;
			this.label1.Text = "c:";
			// 
			// cText
			// 
			this.cText.Location = new System.Drawing.Point (130, 77);
			this.cText.Name = "cText";
			this.cText.Size = new System.Drawing.Size (100, 20);
			this.cText.TabIndex = 2;
			// 
			// errorProvider
			// 
			this.errorProvider.ContainerControl = this;
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Font = new System.Drawing.Font ("Microsoft Sans Serif", 20F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(204)));
			this.label2.Location = new System.Drawing.Point (170, 10);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size (111, 31);
			this.label2.TabIndex = 3;
			this.label2.Text = "a + b - c";
			// 
			// Page3C
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF (6F, 13F);
			this.Controls.Add (this.cText);
			this.Controls.Add (this.label1);
			this.Controls.Add (this.label2);
			this.Name = "Page3C";
			this.Controls.SetChildIndex (this.label2, 0);
			this.Controls.SetChildIndex (this.label1, 0);
			this.Controls.SetChildIndex (this.cText, 0);
			this.Controls.SetChildIndex (this.next, 0);
			this.Controls.SetChildIndex (this.cancel, 0);
			this.Controls.SetChildIndex (this.prev, 0);
			((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit ();
			this.ResumeLayout (false);
			this.PerformLayout ();

		}

		private void next_Click (object sender, EventArgs e)
		{
			double c;
			errorProvider.SetError (cText, "");

			try
			{
				c = double.Parse (cText.Text);
			}
			catch (FormatException)
			{
				errorProvider.SetError (cText, "  ");
				return;
			}

			this.Wizard.Params.result = this.Wizard.Params.a + this.Wizard.Params.b - c;
			this.Wizard.SetPage (new ResultPage (this.Wizard, this));
		}

	}
}
