using System;
using System.Collections.Generic;
using System.Text;

using Jenyay.Gui.Wizard;

namespace WizardTest.MyWizard
{
	class Page3D : WizardPageProxy
	{
		public Page3D (WizardManager<WizParams> wizard, WizardPageProxy prevPage)
			: base (wizard, prevPage)
		{
			InitializeComponent ();
		}

		public Page3D ()
			: base ()
		{
			InitializeComponent ();
		}

		private System.Windows.Forms.TextBox dText;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ErrorProvider errorProvider;
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.Label label2;

		private void InitializeComponent ()
		{
			this.components = new System.ComponentModel.Container ();
			this.dText = new System.Windows.Forms.TextBox ();
			this.label1 = new System.Windows.Forms.Label ();
			this.label2 = new System.Windows.Forms.Label ();
			this.errorProvider = new System.Windows.Forms.ErrorProvider (this.components);
			((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit ();
			this.SuspendLayout ();
			// 
			// next
			// 
			this.next.Click += new System.EventHandler (this.next_Click);
			// 
			// dText
			// 
			this.dText.Location = new System.Drawing.Point (126, 73);
			this.dText.Name = "dText";
			this.dText.Size = new System.Drawing.Size (100, 20);
			this.dText.TabIndex = 5;
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point (8, 76);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size (16, 13);
			this.label1.TabIndex = 4;
			this.label1.Text = "d:";
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Font = new System.Drawing.Font ("Microsoft Sans Serif", 20F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(204)));
			this.label2.Location = new System.Drawing.Point (170, 13);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size (114, 31);
			this.label2.TabIndex = 6;
			this.label2.Text = "a + b * d";
			// 
			// errorProvider
			// 
			this.errorProvider.ContainerControl = this;
			// 
			// Page3D
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF (6F, 13F);
			this.Controls.Add (this.dText);
			this.Controls.Add (this.label1);
			this.Controls.Add (this.label2);
			this.Name = "Page3D";
			this.Controls.SetChildIndex (this.next, 0);
			this.Controls.SetChildIndex (this.cancel, 0);
			this.Controls.SetChildIndex (this.prev, 0);
			this.Controls.SetChildIndex (this.label2, 0);
			this.Controls.SetChildIndex (this.label1, 0);
			this.Controls.SetChildIndex (this.dText, 0);
			((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit ();
			this.ResumeLayout (false);
			this.PerformLayout ();

		}

		private void next_Click (object sender, EventArgs e)
		{
			double d;
			errorProvider.SetError (dText, "");

			try
			{
				d = double.Parse (dText.Text);
			}
			catch (FormatException)
			{
				errorProvider.SetError (dText, "  ");
				return;
			}

			this.Wizard.Params.result = this.Wizard.Params.a + this.Wizard.Params.b * d;
			this.Wizard.SetPage (new ResultPage (this.Wizard, this) );
		}
	}
}
