using System;
using System.Collections.Generic;
using System.Text;

using Jenyay.Gui.Wizard;

namespace WizardTest.MyWizard
{
	public class Page2: WizardPageProxy
	{
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox aText;
		private System.Windows.Forms.ErrorProvider errorProvider;
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.TextBox bText;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.RadioButton subtract;
		private System.Windows.Forms.RadioButton multiply;
		private System.Windows.Forms.Label label1;

		public Page2 (WizardManager<WizParams> wizard, WizardPageProxy prevPage)
			: base (wizard, prevPage)
		{
			InitializeComponent ();
		}

		private void InitializeComponent ()
		{
			this.components = new System.ComponentModel.Container ();
			this.label1 = new System.Windows.Forms.Label ();
			this.label2 = new System.Windows.Forms.Label ();
			this.aText = new System.Windows.Forms.TextBox ();
			this.errorProvider = new System.Windows.Forms.ErrorProvider (this.components);
			this.bText = new System.Windows.Forms.TextBox ();
			this.label3 = new System.Windows.Forms.Label ();
			this.label4 = new System.Windows.Forms.Label ();
			this.subtract = new System.Windows.Forms.RadioButton ();
			this.multiply = new System.Windows.Forms.RadioButton ();
			((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit ();
			this.SuspendLayout ();
			// 
			// next
			// 
			this.next.Click += new System.EventHandler (this.next_Click);
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Font = new System.Drawing.Font ("Microsoft Sans Serif", 20F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(204)));
			this.label1.Location = new System.Drawing.Point (188, 20);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size (74, 31);
			this.label1.TabIndex = 1;
			this.label1.Text = "a + b";
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Location = new System.Drawing.Point (19, 83);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size (16, 13);
			this.label2.TabIndex = 2;
			this.label2.Text = "a:";
			// 
			// aText
			// 
			this.aText.Location = new System.Drawing.Point (182, 80);
			this.aText.Name = "aText";
			this.aText.Size = new System.Drawing.Size (128, 20);
			this.aText.TabIndex = 3;
			// 
			// errorProvider
			// 
			this.errorProvider.ContainerControl = this;
			// 
			// bText
			// 
			this.bText.Location = new System.Drawing.Point (182, 106);
			this.bText.Name = "bText";
			this.bText.Size = new System.Drawing.Size (128, 20);
			this.bText.TabIndex = 3;
			// 
			// label3
			// 
			this.label3.AutoSize = true;
			this.label3.Location = new System.Drawing.Point (19, 109);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size (16, 13);
			this.label3.TabIndex = 2;
			this.label3.Text = "b:";
			// 
			// label4
			// 
			this.label4.AutoSize = true;
			this.label4.Location = new System.Drawing.Point (19, 149);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size (120, 13);
			this.label4.TabIndex = 4;
			this.label4.Text = " :";
			// 
			// subtract
			// 
			this.subtract.AutoSize = true;
			this.subtract.Checked = true;
			this.subtract.Location = new System.Drawing.Point (182, 147);
			this.subtract.Name = "subtract";
			this.subtract.Size = new System.Drawing.Size (80, 17);
			this.subtract.TabIndex = 5;
			this.subtract.TabStop = true;
			this.subtract.Text = "";
			this.subtract.UseVisualStyleBackColor = true;
			// 
			// multiply
			// 
			this.multiply.AutoSize = true;
			this.multiply.Location = new System.Drawing.Point (182, 170);
			this.multiply.Name = "multiply";
			this.multiply.Size = new System.Drawing.Size (85, 17);
			this.multiply.TabIndex = 5;
			this.multiply.TabStop = true;
			this.multiply.Text = "";
			this.multiply.UseVisualStyleBackColor = true;
			// 
			// Page2
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF (6F, 13F);
			this.Controls.Add (this.label1);
			this.Controls.Add (this.label2);
			this.Controls.Add (this.label4);
			this.Controls.Add (this.label3);
			this.Controls.Add (this.subtract);
			this.Controls.Add (this.aText);
			this.Controls.Add (this.bText);
			this.Controls.Add (this.multiply);
			this.Name = "Page2";
			this.Controls.SetChildIndex (this.multiply, 0);
			this.Controls.SetChildIndex (this.bText, 0);
			this.Controls.SetChildIndex (this.aText, 0);
			this.Controls.SetChildIndex (this.subtract, 0);
			this.Controls.SetChildIndex (this.label3, 0);
			this.Controls.SetChildIndex (this.next, 0);
			this.Controls.SetChildIndex (this.label4, 0);
			this.Controls.SetChildIndex (this.prev, 0);
			this.Controls.SetChildIndex (this.cancel, 0);
			this.Controls.SetChildIndex (this.label2, 0);
			this.Controls.SetChildIndex (this.label1, 0);
			((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit ();
			this.ResumeLayout (false);
			this.PerformLayout ();

		}

		private void next_Click (object sender, EventArgs e)
		{
			errorProvider.SetError (aText, "");
			errorProvider.SetError (bText, "");

			try
			{
				this.Wizard.Params.a = double.Parse (aText.Text);
			}
			catch (FormatException)
			{
				errorProvider.SetError (aText, "  ");
				return;
			}

			try
			{
				this.Wizard.Params.b = double.Parse (bText.Text);
			}
			catch (FormatException)
			{
				errorProvider.SetError (bText, "  ");
				return;
			}

			if (subtract.Checked)
			{
				this.Wizard.SetPage (new Page3C (this.Wizard, this) );
			}
			else
			{
				this.Wizard.SetPage (new Page3D (this.Wizard, this));
			}
		}

	}
}
