using System;
using System.Collections.Generic;
using System.Text;

using Jenyay.Gui.Wizard;

namespace WizardTest.MyWizard
{
	class ResultPage : WizardPageProxy
	{
		public ResultPage (WizardManager<WizParams> wizard,
			WizardPageProxy prevPage)
			: base (wizard, prevPage)
		{
			InitializeComponent ();
		}

		private System.Windows.Forms.TextBox resultText;
		private System.Windows.Forms.Label label1;

		private void InitializeComponent ()
		{
			this.label1 = new System.Windows.Forms.Label ();
			this.resultText = new System.Windows.Forms.TextBox ();
			this.SuspendLayout ();
			// 
			// next
			// 
			this.next.Text = "";
			this.next.Click += new System.EventHandler (this.next_Click);
			// 
			// cancel
			// 
			this.cancel.Enabled = false;
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point (35, 60);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size (71, 13);
			this.label1.TabIndex = 1;
			this.label1.Text = " = ";
			// 
			// resultText
			// 
			this.resultText.Location = new System.Drawing.Point (151, 57);
			this.resultText.Name = "resultText";
			this.resultText.ReadOnly = true;
			this.resultText.Size = new System.Drawing.Size (100, 20);
			this.resultText.TabIndex = 2;
			// 
			// ResultPage
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF (6F, 13F);
			this.Controls.Add (this.label1);
			this.Controls.Add (this.resultText);
			this.Name = "ResultPage";
			this.Controls.SetChildIndex (this.resultText, 0);
			this.Controls.SetChildIndex (this.label1, 0);
			this.Controls.SetChildIndex (this.next, 0);
			this.Controls.SetChildIndex (this.cancel, 0);
			this.Controls.SetChildIndex (this.prev, 0);
			this.ResumeLayout (false);
			this.PerformLayout ();

		}


		override public void Init ()
		{
			base.Init ();
			resultText.Text = this.Wizard.Params.result.ToString();
		}

		private void next_Click (object sender, EventArgs e)
		{
			this.Wizard.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.Wizard.Close ();
		}
	}
}
